Get Payment Method Requirements
curl --request GET \
--url https://api.blockradar.co/v2/wallets/{id}/withdraw/fiat/payment-method-requirements \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v2/wallets/{id}/withdraw/fiat/payment-method-requirements"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v2/wallets/{id}/withdraw/fiat/payment-method-requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Payment method requirements fetched successfully",
"data": {
"paymentMethodId": "bank_transfer",
"schema": {
"$schema": "http://json-schema.org/draft-07/schema#",
"type": "object",
"title": "Bank account details",
"properties": {
"institutionIdentifier": {
"type": "string",
"title": "Institution"
},
"accountIdentifier": {
"type": "string",
"title": "Account identifier"
},
"accountName": {
"type": "string",
"title": "Account name",
"readOnly": true,
"x-field-kind": "resolved",
"x-resolution": {
"method": "POST",
"url": "/v2/wallets/4465468a-3c36-4536-918a-91d689e18a74/withdraw/fiat/payment-method/resolve",
"body": {
"provider": "example-provider",
"assetId": "ae455f23-3824-4125-baab-d158315cbcbd",
"currency": "NGN",
"amount": "100.00",
"paymentMethod": "bank_transfer"
},
"inputPath": "paymentMethodData",
"dependsOn": [
"institutionIdentifier",
"accountIdentifier"
],
"responsePath": "data.accountName"
}
}
},
"required": [
"institutionIdentifier",
"accountIdentifier"
],
"additionalProperties": false
},
"metadata": null
}
}Withdraw Fiat
Get Payment Method Requirements
Returns the JSON Schema describing the information required for the selected payment method. See Dynamic Forms.
GET
/
v2
/
wallets
/
{id}
/
withdraw
/
fiat
/
payment-method-requirements
Get Payment Method Requirements
Authorizations
Path Parameters
Wallet identifier.
Query Parameters
Stablecoin asset identifier returned by the supported-assets endpoint.
ISO 4217 fiat currency code.
Required string length:
3Decimal amount encoded as a string to preserve precision.
Pattern:
^\d+(\.\d+)?$Payment-method id returned by the payment-methods endpoint.
ISO 3166-1 alpha-2 country code.
Optional high-level payment-method category.
Optional provider slug. Omit it to let Blockradar select an eligible provider.
⌘I

